Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Javadoc.TagArgument

    java.lang.Object
      org.apache.tools.ant.taskdefs.Javadoc.TagArgument

Enclosing class:
  Javadoc

public class Javadoc.TagArgument
extends java.lang.Object

Class representing a -tag argument.

Constructor Summary
`Javadoc.TagArgument()` Sole constructor.

Method Summary
`java.lang.String` | `getParameter()` Returns the -tag parameter this argument represented.
`void` | `setDescription(java.lang.String description)` Sets the description of the tag.
`void` | `setEnabled(boolean enabled)` Sets whether or not the tag is enabled.
`void` | `setName(java.lang.String name)` Sets the name of the tag.
`void` | `setScope(java.lang.String verboseScope)` Sets the scope of the tag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Javadoc.TagArgument

    public Javadoc.TagArgument()

  Sole constructor.

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the name of the tag.

  Parameters:
    `name` - The name of the tag. Must not be `null` or empty.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of the tag. This is what appears in the JavaDoc.

  Parameters:
    `description` - The description of the tag. Must not be `null` or empty.

### setScope

    public void setScope(java.lang.String verboseScope)
                  throws BuildException

  Sets the scope of the tag. This is in comma-separated form, with each element being one of "all" (the default), "overview", "packages", "types", "constructors", "methods", "fields". The elements are treated in a case-insensitive manner.

  Parameters:
    `verboseScope` - The scope of the tag. Must not be `null`, should not be empty.
  Throws:
    `BuildException` - if all is specified along with other elements, if any elements are repeated, if no elements are specified, or if any unrecognised elements are specified.

### setEnabled

    public void setEnabled(boolean enabled)

  Sets whether or not the tag is enabled.

  Parameters:
    `enabled` - Whether or not this tag is enabled.

### getParameter

    public java.lang.String getParameter()
                                  throws BuildException

  Returns the -tag parameter this argument represented.

  Throws:
    `BuildException` - if either the name or description is `null` or empty.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.